package com.sunxung.factoring.entity.ledger;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 现金流关联-出账信息和计划关联关系表
 * </p>
 *
 * @author yafan
 * @since 2024-03-22
 */
@TableName("cash_flow_manage_basic_pay_coll_plan_ref")
public class CashFlowManageBasicPayCollPlanRef implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 收放款计划(保理融资款)表id
     */
    @TableField("pay_coll_plan_factoring_id")
    private Long payCollPlanFactoringId;

    /**
     * 退款管理-申请内容表Id
     */
    @TableField("cash_flow_manage_basic_info_id")
    private Long cashFlowManageBasicInfoId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getPayCollPlanFactoringId() {
        return payCollPlanFactoringId;
    }

    public void setPayCollPlanFactoringId(Long payCollPlanFactoringId) {
        this.payCollPlanFactoringId = payCollPlanFactoringId;
    }
    public Long getCashFlowManageBasicInfoId() {
        return cashFlowManageBasicInfoId;
    }

    public void setCashFlowManageBasicInfoId(Long cashFlowManageBasicInfoId) {
        this.cashFlowManageBasicInfoId = cashFlowManageBasicInfoId;
    }

    @Override
    public String toString() {
        return "CashFlowManageBasicPayCollPlanRef{" +
            "id=" + id +
            ", payCollPlanFactoringId=" + payCollPlanFactoringId +
            ", cashFlowManageBasicInfoId=" + cashFlowManageBasicInfoId +
        "}";
    }
}
